Update notification preferences
PATCH
/api/v1/settings/notifications
const url = 'https://api.ultimateteam.ai/api/v1/settings/notifications';const options = { method: 'PATCH', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"channels":["example"],"email":true,"sms":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.ultimateteam.ai/api/v1/settings/notifications \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "channels": [ "example" ], "email": true, "sms": false }'Update email, SMS, and channel notification preferences.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
NotificationPreferences
Notification preference fields.
object
channels
Channels
Array<string>
email
Email
boolean
sms
Sms
boolean
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
NotificationPatchResponse
Response shape for PATCH /settings/notifications.
object
data
required
Data
object
key
additional properties
any
Examplegenerated
{ "data": {}}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}